summaryrefslogtreecommitdiffstats
path: root/remote/setup-tools.sh
diff options
context:
space:
mode:
authorJonathan Bauer2012-09-28 15:53:14 +0200
committerJonathan Bauer2012-09-28 15:53:14 +0200
commit70bdde44b1830522674bca85896862e85df768e7 (patch)
treed15e2c9e1d46033017ba4c00c918e3e40c21c9a3 /remote/setup-tools.sh
parentminor (diff)
downloadtm-scripts-70bdde44b1830522674bca85896862e85df768e7.tar.gz
tm-scripts-70bdde44b1830522674bca85896862e85df768e7.tar.xz
tm-scripts-70bdde44b1830522674bca85896862e85df768e7.zip
read build function
Diffstat (limited to 'remote/setup-tools.sh')
-rw-r--r--remote/setup-tools.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/remote/setup-tools.sh b/remote/setup-tools.sh
index da42ad0b..15ef335d 100644
--- a/remote/setup-tools.sh
+++ b/remote/setup-tools.sh
@@ -32,6 +32,18 @@ read_config ()
. $TOOL_CONFIG
}
+read_build ()
+{
+ BUILD_SCRIPT=$TOOL_DIR/$TOOL/build.$TOOL
+
+ if [ ! -e $BUILD_SCRIPT ]; then
+ echo "ERROR: Build script for specified tool not found."
+ exit 1
+ fi
+
+ . $BUILD_SCRIPT
+}
+
setup_git ()
{
if [ ! -z "$GIT" ]; then
@@ -67,6 +79,7 @@ main () {
while (( "$#" )); do
TOOL=$1
read_config
+ read_build
install_dependencies
fetch_source
build